commit:     1767004bbffe39fca63e3e1aeee361c4bdea4004
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat May 30 20:36:11 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat May 30 20:36:22 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1767004b

dev-libs/leatherman: remove installing vendored boost library

Closes: https://bugs.gentoo.org/721652
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 .../{leatherman-1.12.0.ebuild => leatherman-1.12.0-r1.ebuild}          | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/dev-libs/leatherman/leatherman-1.12.0.ebuild 
b/dev-libs/leatherman/leatherman-1.12.0-r1.ebuild
similarity index 89%
rename from dev-libs/leatherman/leatherman-1.12.0.ebuild
rename to dev-libs/leatherman/leatherman-1.12.0-r1.ebuild
index aef4cd92309..30ead889cde 100644
--- a/dev-libs/leatherman/leatherman-1.12.0.ebuild
+++ b/dev-libs/leatherman/leatherman-1.12.0-r1.ebuild
@@ -16,7 +16,7 @@ KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
 SLOT="0/${PV}"
 
 RDEPEND="net-misc/curl"
-DEPEND=">=dev-libs/boost-1.54:=[nls]
+DEPEND=">=dev-libs/boost-1.73:=[nls]
        net-misc/curl
        >=sys-devel/gcc-4.8:*"
 
@@ -24,6 +24,7 @@ PATCHES=( "${FILESDIR}"/portage-sandbox-test-fix.patch )
 
 src_prepare() {
        sed -i 's/\-Werror\ //g' "cmake/cflags.cmake" || die
+       sed -i '/nowide/d' CMakeLists.txt || die  # vendored boost lib 
conflicts with boost 1.73 and above
        cmake-utils_src_prepare
 }
 

Reply via email to